# OpenLayers.Layer.EventPane

Base class for 3rd party layers, providing a DOM element which isolates the 3rd-party layer from mouse events. Only used by Google layers.

Automatically instantiated by the Google constructor, and not usually instantiated directly.

Create a new event pane layer with the OpenLayers.Layer.EventPane constructor.

#### Inherits from

- OpenLayers.Layer

Summary

OpenLayers.Layer.EventPane | Base class for 3rd party layers, providing a DOM element which isolates the 3rd-party layer from mouse events.
Properties |
smoothDragPan | {Boolean} smoothDragPan determines whether non-public/internal API methods are used for better performance while dragging EventPane layers.
isFixed | {Boolean} EventPaned layers are fixed by default.
Constructor |
OpenLayers.Layer.EventPane | Create a new event pane layer
Functions |
destroy | Deconstruct this layer.
removeMap | On being removed from the map, we’ll like to remove the invisible ‘pane’ div that we added to it on creation.

### Properties

### smoothDragPan

{Boolean} smoothDragPan determines whether non-public/internal API methods are used for better performance while dragging EventPane layers. When not in sphericalMercator mode, the smoother dragging doesn’t actually move north/south directly with the number of pixels moved, resulting in a slight offset when you drag your mouse north south with this option on. If this visual disparity bothers you, you should turn this option off, or use spherical mercator. Default is on.

### isFixed

{Boolean} EventPaned layers are fixed by default.

### Constructor

### OpenLayers.Layer.EventPane

Create a new event pane layer

#### Parameters

name | {String}
options | {Object} Hashtable of extra options to tag onto the layer

### Functions

### destroy

> destroy: function()

Deconstruct this layer.

### removeMap

> removeMap: function( | map | )

On being removed from the map, we’ll like to remove the invisible ‘pane’ div that we added to it on creation.

#### Parameters

map | {OpenLayers.Map}

> destroy: function()

Deconstruct this layer.

> removeMap: function( | map | )

On being removed from the map, we’ll like to remove the invisible ‘pane’ div that we added to it on creation.
Create a new event pane layer
Instances of OpenLayers.Map are interactive maps embedded in a web page.
Close